Tech Gaming Report

Latest Tech & Gaming News

Cyberpunk 2077: Mod bringt Unterstützung für AMD FSR 2.0

Cyberpunk 2077: Mod brings support for AMD FSR 2.0

Cyberpunk 2077 (test, patch test 1.5) offers ray tracing, Nvidia DLSS, and AMD FSR 1.0, but not the significantly improved version 2.0 of open source AI antialiasing. with a mod wants potato of doom1337 change it now and it replaces the DLSS program library.

FSR 2.0 also improves image quality in Cyberpunk

Cyberpunk 2077 requires very fast hardware, especially when high screen resolutions and ray tracing come into play. So activating a scaling technology becomes more or less mandatory. But while DLSS is available to gamers with Nvidia’s RTX graphics cards, owners of an AMD graphics accelerator have so far stuck with FidelityFX Super Resolution 1.0. FSR 2.0, on the other hand, achieves significantly better image quality than other games with the use of a temporal component, which can certainly come close to the DLSS model, as ComputerBase was able to discover in three comparison tests.

The dystopian, futuristic action RPG does not officially support anti-aliasing introduced in early 2022; There has also been no corresponding announcement from AMD or CD Projekt Red as of yet. potato of doom1337 he was not satisfied with the situation and now he published on Nexusmods a modwhich replaced DLSS with FSR 2.0, as initially VideoCardz informed. Two screenshots show a drastic improvement in image quality compared to the existing FSR 1.0 implementation, and the frame rate with its GeForce GTX 1080 has doubled relative to native UHD resolution, according to the modder.

Image Comparison: FSR 2.0 Balanced with graphics settings maximized (Image: nexus mods) FSR 1.0 with the same configuration (Image: nexus mods)

It has the source code of the modification. potato of doom1337 published on GitHub. The project is still in development, but apparently it is already working. The mod can now also be run on Steam devices running Linux OS, after initial issues with Proton have been ironed out.

DLL file sharing makes it possible

The technical implementation is based on the similarity of DLSS and FSR 2.0. In both cases, these are time scaling algorithms that need to be fed comparable data. Since Nvidia uses the DLSS versions as dynamic program libraries releasedThe Appropriate dll-file be swapped: the DLSS Swapper tool, for example, already made use of this. In the case of the Cyberpunk mod, however, an official Nvidia DLL is not used, but a specially adapted version that translates between DLSS and FSR 2.0.

To install the mod, users need to swap out a total of three DLLs and modify the registry. This leaves no trace in the game menu, because then DLSS must be activated in the settings; the name is misleading, because behind it is FSR 2.0. The applied modification methodology also represents an upgrade possibility from FSR 2.0 for other games with DLSS support. potato of doom1337.

DLSS is still in the configuration
DLSS is still in the configuration (image: nexus mods)

Mod is not representative of FSR 2.0

However, all this is not without restrictions. The developer himself points out that the mod does not come close to the quality that CD Projekt Red and AMD could achieve with an official implementation of FSR 2.0, on the one hand because the project is not yet fully developed, but on the other hand because it has a complete implementation. not possible at all. Also, the usual advice for these types of mods applies: graphical bugs and game crashes are the order of the day. Some graphics settings conflict with the mod, requiring frequent reboots. The modder also warns about the increase in ghost images.

Is this implementation of FSR 2.0 representative of a native implementation by developers? No, I am calling this mod a hack for a reason. There are some things in FSR 2.0 that I haven’t implemented yet (or can’t implement at all) that will drastically improve image quality. Hopefully CDPR will eventually add FSR 2.0 on its own.

I am using DLSS. Should I download this mod? There’s no need. The included DLSS version works much better than this hack. I made this for people with incompatible GPUs who need to fall back on FSR 1.0.

potato of doom1337

So it’s not surprising that potato of doom1337 We advise owners of an RTX graphics card not to install it – it is better to use the official implementation of DLSS, which is significantly superior to the mod. The mod is only intended for gamers with older AMD or Nvidia graphics cards that cannot use DLSS, even if the given implementation is not representative of actual FSR 2.0 performance.

See also  Remedy's Next Game Will Be Connected To Control And Alan Wake